<?php

	$operation = $_POST['operation'];
	$nom_copie = $_POST['fichier'];
	$chemin = $_POST['chemin'];

	//echo $operation ." " .$nom_copie ." " .$chemin;
	
	if($operation == "renome")	
	{
		$nouveau_nom = $_POST['nouveau_nom'];
		$chemin = $_POST['chemin'];
		// split chemin avec /
		$pieces = explode("/", $chemin);
		$n = count($pieces);
		$pieces[$n-1] = $nouveau_nom;
		// reconstruire le chemin du nouveau fichier
		$nouveau_chemin = implode("/", $pieces);
		rename($chemin,$nouveau_chemin);
		//echo $chemin ." ---- " .$nouveau_chemin;
	}

	if($operation == "copie")	
	{
		// split chemin avec /
		$pieces = explode("/", $chemin);
		$n = count($pieces);
		$pieces[$n-1] = $nom_copie;
		// reconstruire le chemin du nouveau fichier
		$nouveau_chemin = implode("/", $pieces);
		//$file = "Utilisateurs/25.jpg";
		//$newfile = "Utilisateurs/zzzzzzzzzzzz.jpg";
		copy($chemin,$nouveau_chemin);
		//echo "-----> " .$chemin ." " .$nouveau_chemin; 
	}
	
?>